html{
    scroll-behavior: smooth;
}

body{
    font-family: 'Roboto', sans-serif;
}

#services{
    scroll-margin-top: 50px;
    scroll-snap-margin-top: 50px;
}

hr:not([size]){
    height: 3px;
}

hr{
    background-color: #133a1b;
    opacity: 1;
    width: 50%;
    margin: auto;
    margin-bottom: 2.2rem;
}

/*navbar*/
.navbar{
    background-color: #ffffff;
}

.navbar .navbar-brand{
    font-weight: 600;
    color: #222222;
    font-size: 1rem;
}

.navbar .navbar-nav .nav-link{
    font-weight: 500;
    color:#000000;
}

.navbar .navbar-nav .nav-link:hover{
    color: #555555;
}

.navbar-brand img{
    width: 50px;
}

/*home*/
.header-item{
    height: 100vh;
    min-height: 350px;
    background: no-repeat center center scroll;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}

#headertxt{
    position: absolute;
    width: 100%;
    left: 50%;
    top: 50%;
    z-index: 15;
    font-weight: 700;
    transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    -moz-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    -o-transform: translate(-50%, -50%);
    color: #fbf7f4;
}

#headertxt h1{
    font-size: 1.8rem;
    font-weight: 900;
}

#headertxt h2{
    font-size: 1.3rem;
}

#headertxt a{
    color: #133a1b;
    font-weight: 700;
    background-color: #e3e0d9;
    border-radius: 15px;
    -webkit-border-radius: 15px;
    -moz-border-radius: 15px;
    -ms-border-radius: 15px;
    -o-border-radius: 15px;
    transition: all .2s ease-in-out;
    -webkit-transition: all .2s ease-in-out;
    -moz-transition: all .2s ease-in-out;
    -ms-transition: all .2s ease-in-out;
    -o-transition: all .2s ease-in-out;
}

#headertxt a:hover{
    color: #011b10
}

#services h2{
    font-weight: 900;
}

#services img{
    border-radius: 10px;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    -ms-border-radius: 10px;
    -o-border-radius: 10px;
    -webkit-box-shadow: 5px 5px 15px 5px rgba(0,0,0,0.5);
    box-shadow: 5px 5px 15px 5px rgba(0,0,0,0.6);
    transition: all .2s ease-in-out;
    -webkit-transition: all .2s ease-in-out;
    -moz-transition: all .2s ease-in-out;
    -ms-transition: all .2s ease-in-out;
    -o-transition: all .2s ease-in-out;
}

#services img:hover{
    transform: scale(1.03);
    -webkit-transform: scale(1.03);
    -moz-transform: scale(1.03);
    -ms-transform: scale(1.03);
    -o-transform: scale(1.03);
}

#contact{
    background: linear-gradient(#000000aa, #000000bb), url('../assets/socket-set-with-socket-wrench-adjustable-water-pump-pliers-needle-nose-pliers-locking-pliers-toolkit-car-maintenance-top-view.jpg');
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    color: #ffffff;
}

#contact h2{
    font-weight: 600;
}

#contact a{
    text-decoration: none;
    font-weight: 600;
    color: #dedede;
}

footer{
    background-color: #011b10;
}

@media (min-width: 576px){
    #headertxt{
        width: 500px;
    }

    #headertxt h1{
        font-size: 2rem;
    }
    
    #headertxt h2{
        font-size: 1.4rem;
    }
}

@media (min-width: 768px){
    #headertxt{
        width: 650px;
    }

    #headertxt h1{
        font-size: 2.5rem;
    }
    
    #headertxt h2{
        font-size: 1.7rem;
    }

    #about hr{
        margin: 0 auto 0 0;
    }
}

@media (min-width: 992px){
    #headertxt{
        width: 800px;
    }
    #headertxt h1{
        font-size: 3rem;
    }
    
    #headertxt h2{
        font-size: 2rem;
    }
}